import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.instances.images.list(
project_id=1,
region_id=7,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Instances.Images.List(context.TODO(), cloud.InstanceImageListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/images/{project_id}/{region_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/images/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"architecture": "x86_64",
"created_at": "2024-05-05T14:51:26.570866",
"creator_task_id": "b10dd116-07f5-4225-abb7-f42da5cb78fb",
"currency_code": "USD",
"description": "string",
"disk_format": "raw",
"display_order": 2010,
"gpu_driver": "nvidia",
"gpu_driver_type": "open",
"gpu_driver_version": "570.148.08",
"hw_firmware_type": "bios",
"hw_machine_type": "q35",
"id": "44e136a7-15c1-4b5f-a086-20b7b3237d40",
"is_baremetal": false,
"min_disk": 3,
"min_ram": 0,
"name": "ubuntu-20.10-x64",
"os_distro": "ubuntu",
"os_type": "linux",
"os_version": "20.10",
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"size": 2361393152,
"ssh_key": "allow",
"status": "active",
"tags_v2": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": null,
"updated_at": "2024-05-05T14:51:26.570866",
"visibility": "public"
}
]
}List images
Retrieve a list of available images in the project and region. The list can be filtered by visibility, tags, and other parameters. Returned entities are owned by the project or are public/shared with the client.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.instances.images.list(
project_id=1,
region_id=7,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Instances.Images.List(context.TODO(), cloud.InstanceImageListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Query Parameters
Filter by image architecture.
aarch64, x86_64 "x86_64"
Show price.
Optional. Limit the number of returned items
x <= 10001000
Filter by image name (case-insensitive substring match)
"ubuntu"
Optional. Offset value is used to exclude the first set of records from the result
x >= 00
Filter by OS distribution (case-insensitive). E.g. ubuntu, centos, debian
"ubuntu"
Filter by OS version (case-insensitive). E.g. 22.04
"22.04"
Any value to show private images
Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2
Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.
1 - 255^[^\s=]+$["key1", "key2"]
Optional. Filter by tag key-value pairs.
{ "key": "value" }
Image visibility. Globally visible images are public
private, public, shared Was this page helpful?